# Get a terminal application    beta

Fetch a specific terminal application.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) you'll need to specify the `/terminal-applications.read` scope.

## GET

### /terminal-applications/{terminalApplicationID}

### Ask

```shell
curl -X GET "https://api.moov.io/terminal-applications/{terminalApplicationID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"
```

### Ask

```go
mc, _ := moov.NewClient()

var terminalApplicationID string

mc.GetTerminalApplication(ctx, terminalApplicationID)
```

### Ask

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.terminalApplications.get({
    terminalApplicationID: "12345678-1234-1234-1234-123456789012",
  });

console.log(result);
}

run();
```

### Ask

```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->terminalApplications->get(
    terminalApplicationID: '12345678-1234-1234-1234-123456789012'
);

if ($response->terminalApplication !== null) {
    // handle response
}
```

### Ask

```java
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetTerminalApplicationResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

GetTerminalApplicationResponse res = sdk.terminalApplications().get()
                .terminalApplicationID("12345678-1234-1234-1234-123456789012")
                .call();

if (res.terminalApplication().isPresent()) {
            System.out.println(res.terminalApplication().get());
        }
    }
}
```

### Ask

```python
from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.terminal_applications.get(terminal_application_id="12345678-1234-1234-1234-123456789012")

# Handle response
    print(res)
```

### Ask

```ruby
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.terminal_applications.get(terminal_application_id: '12345678-1234-1234-1234-123456789012')

unless res.terminal_application.nil?
  # handle response
end
```

### Ask

```csharp
using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.TerminalApplications.GetAsync(terminalApplicationID: "12345678-1234-1234-1234-123456789012");

// handle response
```

The request completed successfully.

### Example

```json
{
  "packageName": "com.example.app",
  "platform": "android",
  "sha256Digest": "AA:BB:CC:DD:EE:FF:AA:BB:CC:DD:EE:FF:AA:BB:CC:DD:AA:BB:CC:DD:EE:FF:AA:BB:CC:DD:EE:FF:AA:BB:CC:DD",
  "status": "pending",
  "terminalApplicationID": "12345678-1234-1234-1234-123456789012",
  "versionCode": "20332277"
}
```

### Response headers

A unique identifier used to trace requests.

### Possible values:

- `v2026.07.00`

Describes a terminal application.

- Platform of the terminal application. Possible values:
  - `undefined`, `ios`, `android`
  
- Status of the terminal application. Possible values:
  - `undefined`, `pending`, `enabled`, `disabled`
  
- ID of the terminal application.

- The app bundle identifier of the terminal application. Will be returned if platform is `ios`.

- The app package name of the terminal application. Will be returned if platform is `android`.
  
- A cryptographic hash of the signing key for the application. Will be returned if platform is `android`.

- The app version code of the terminal application. Will be returned if platform is `android`.
